#!/bin/csh -f 

setenv db tock

# sample data:
#   users 100001-100010 
#   projects 100001-100005
#   categories 100001-100005
#   groups 100001-100003
#   hours 100001-100050
#   
dbaccess $db - <<!

delete from hours where id > 100000 and id <= 100050;
delete from user_projects where user_id > 100000 and user_id <= 100010;
delete from group_people where user_id > 100000 and user_id <= 100010;
delete from group where id > 100000 and id <= 100003;
delete from user where id > 100000 and id <= 100010;
delete from project where id > 100000 and id <= 100005;
delete from category where id > 100000 and id <= 100010;
!

echo "Note: this script has deleted only the sample data that was loaded "
echo "using the load_sample_data.sh script.  If you have created more data "
echo "while playing with Tock, you must delete it through the application or "
echo "through dbaccess."
echo ""
