#!/bin/csh -f 

setenv db tock
echo database name: $db

echo "WARNING: This script will attempt to create data using id numbers "
echo "greater than 100,000.  If you have already inserted more than 100,000"
echo "records into any table, please edit the *.unl files in this directory."

dbaccess $db - <<!

load from "category.unl" insert into category;

load from "project.unl" insert into project;

load from "user.unl" insert into user;

load from "group.unl" insert into group;

load from "group_people.unl" insert into group_people;

load from "user_projects.unl" insert into user_projects;

load from "hours.unl" insert into hours;

grant resource to public;

!

echo "Done."
echo "See sample_data.txt for a description of the sample data just loaded."

